package com.ruoyi.pt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 事件进度推送对象 b_event_progress_push
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Data
@ApiModel("事件进度推送")
@TableName("b_event_progress_push")
public class BEventProgressPush implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 事件提供⽅的对事件的
     * 唯⼀标识
     */
    @Excel(name = "事件提供⽅的对事件的 唯⼀标识")
    @ApiModelProperty(value = "事件提供⽅的对事件的 唯⼀标识")
    private String innerEventId;

    /**
     * 事件进度描述
     */
    @Excel(name = "事件进度描述")
    @ApiModelProperty(value = "事件进度描述")
    private String detail;

    /**
     * 图⽚等多媒体⽂件链
     * 接，多个以","相隔
     */
    @Excel(name = "图⽚等多媒体⽂件链接，多个以,相隔")
    @ApiModelProperty(value = "图⽚等多媒体⽂件链 接，多个以,相隔")
    private String url;

    /**
     * 进度时间 格式为：
     * yyyy-MM-dd
     * HH:mm:ss
     */
    @Excel(name = "进度时间 格式为yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "进度时间 格式为： yyyy-MM-dd HH:mm:ss")
    private String progressTime;

    /**
     * 事件当前进度状态,共
     * 有以下⼏种状态 已办
     * 结,代办结,待核实,办 理
     * 中,已受理,未受理。 推
     * 送已办结则⾃动修 改事
     * 件状态为已完 成，推送
     * 已受理则⾃ 动修改事件
     * 为处理中 。
     */
    @Excel(name = "事件当前进度状态,共 有以下⼏种状态 已办 结,代办结,待核实,办 理 中,已受理,未受理。 推 送已办结则⾃动修 改事 件状态为已完 成，推送 已受理则⾃ 动修改事件 为处理中。")
    @ApiModelProperty(value = "事件当前进度状态,共 有以下⼏种状态 已办 结,代办结,待核实,办 理 中,已受理,未受理。 推 送已办结则⾃动修 改事 件状态为已完 成，推送 已受理则⾃ 动修改事件 为处理中 。")
    private String eventProgressStatus;

    /**
     * 事件当前进度执⾏⼈名
     */
    @Excel(name = "事件当前进度执⾏⼈名")
    @ApiModelProperty(value = "事件当前进度执⾏⼈名")
    private String eventProgressExecutor;

    /**
     * 事件当前进度责任⼈ID
     */
    @Excel(name = "事件当前进度责任⼈ID")
    @ApiModelProperty(value = "事件当前进度责任⼈ID")
    private String eventProgressExecutorId;

    /**
     * 事件当前进度执⾏⼈部⻔
     */
    @Excel(name = "事件当前进度执⾏⼈部⻔")
    @ApiModelProperty(value = "事件当前进度执⾏⼈部⻔")
    private String eventProgressExecutorOrg;


}
