package com.ruoyi.pt.quartz;

import com.ruoyi.pt.service.RemoteCallsService;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

/**
 * 推送平台数据定时任务
 *
 * @author wu
 * @since 2023/12/26 16:19
 */
@Component
@EnableAsync
public class PushQuartz {

    @Resource
    private RemoteCallsService remoteCallsService;

    @Scheduled(cron = "0 0 1 * * * ?")
    public void pushData() {
        // 获取社会治理中心增量事件保存到events_import表
        remoteCallsService.getEventDate();
        // 获取昨天的数据
        LocalDate localDate = LocalDate.now();
        LocalDate yesterday = localDate.minusDays(1);
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        String yesterdayStr = yesterday.format(formatter);
        // 紧急事件接口
        remoteCallsService.urgentAlgorithm(yesterdayStr);
        // 群体事件接口
        remoteCallsService.groupAlgorithm();
        // 同人事件接口
        remoteCallsService.onepersonAlgorithm();
        // 推送
        remoteCallsService.imports();
    }
}
