package com.ruoyi.pt.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.pt.mapper.BEventAccessMapper;
import com.ruoyi.pt.entity.BEventAccess;
import com.ruoyi.pt.service.IBEventAccessService;

/**
 * 事件接⼊Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Service
public class BEventAccessServiceImpl extends ServiceImpl<BEventAccessMapper, BEventAccess> implements IBEventAccessService {
    @Autowired
    private BEventAccessMapper bEventAccessMapper;
    @Autowired
    private IBEventAccessService ibEventAccessService;

    /**
     * 查询事件接⼊
     *
     * @param id 事件接⼊主键
     * @return 事件接⼊
     */
    @Override
    public BEventAccess selectBEventAccessById(Long id) {
        return bEventAccessMapper.selectBEventAccessById(id);
    }

    /**
     * 查询事件接⼊列表
     *
     * @param bEventAccess 事件接⼊
     * @return 事件接⼊
     */
    @Override
    public List<BEventAccess> selectBEventAccessList(BEventAccess bEventAccess) {
        return bEventAccessMapper.selectBEventAccessList(bEventAccess);
    }

    /**
     * 新增事件接⼊
     *
     * @param bEventAccess 事件接⼊
     * @return 结果
     */
    @Override
    public boolean insertBEventAccess(List<BEventAccess> bEventAccess) {
        return ibEventAccessService.saveBatch(bEventAccess);
    }

    /**
     * 修改事件接⼊
     *
     * @param bEventAccess 事件接⼊
     * @return 结果
     */
    @Override
    public int updateBEventAccess(BEventAccess bEventAccess) {
        return bEventAccessMapper.updateBEventAccess(bEventAccess);
    }

    /**
     * 批量删除事件接⼊
     *
     * @param ids 需要删除的事件接⼊主键
     * @return 结果
     */
    @Override
    public int deleteBEventAccessByIds(Long[] ids) {
        return bEventAccessMapper.deleteBEventAccessByIds(ids);
    }

    /**
     * 删除事件接⼊信息
     *
     * @param id 事件接⼊主键
     * @return 结果
     */
    @Override
    public int deleteBEventAccessById(Long id) {
        return bEventAccessMapper.deleteBEventAccessById(id);
    }
}
