package com.ruoyi.pt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.pt.mapper.CaseInfoMapper;
import com.ruoyi.pt.entity.CaseInfo;
import com.ruoyi.pt.service.ICaseInfoService;

/**
 * 服务工单受理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-27
 */
@Service
public class CaseInfoServiceImpl implements ICaseInfoService 
{
    @Autowired
    private CaseInfoMapper caseInfoMapper;

    /**
     * 查询服务工单受理
     * 
     * @param id 服务工单受理主键
     * @return 服务工单受理
     */
    @Override
    public CaseInfo selectCaseInfoById(Long id)
    {
        return caseInfoMapper.selectCaseInfoById(id);
    }

    /**
     * 查询服务工单受理列表
     * 
     * @param caseInfo 服务工单受理
     * @return 服务工单受理
     */
    @Override
    public List<CaseInfo> selectCaseInfoList(CaseInfo caseInfo)
    {
        return caseInfoMapper.selectCaseInfoList(caseInfo);
    }

    /**
     * 新增服务工单受理
     * 
     * @param caseInfo 服务工单受理
     * @return 结果
     */
    @Override
    public int insertCaseInfo(CaseInfo caseInfo)
    {
        return caseInfoMapper.insertCaseInfo(caseInfo);
    }

    /**
     * 修改服务工单受理
     * 
     * @param caseInfo 服务工单受理
     * @return 结果
     */
    @Override
    public int updateCaseInfo(CaseInfo caseInfo)
    {
        return caseInfoMapper.updateCaseInfo(caseInfo);
    }

    /**
     * 批量删除服务工单受理
     * 
     * @param ids 需要删除的服务工单受理主键
     * @return 结果
     */
    @Override
    public int deleteCaseInfoByIds(Long[] ids)
    {
        return caseInfoMapper.deleteCaseInfoByIds(ids);
    }

    /**
     * 删除服务工单受理信息
     * 
     * @param id 服务工单受理主键
     * @return 结果
     */
    @Override
    public int deleteCaseInfoById(Long id)
    {
        return caseInfoMapper.deleteCaseInfoById(id);
    }
}
